/* STM32 VL Discovery Library
 * LCD driver  LCD.h
 * 4 bit communication only
 * ver 2.0
 *  Created on: Nov 7, 2010
 *      Author: mard@ mcu.cz
 *  http: mcu.cz
 */

#ifndef LCD_H_
#define LCD_H_

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"

/** @defgroup Exported_Types		*/

/** @defgroup Exported_Functions	*/

void delay_us(uint32_t cas);
void GPIO_LCD_Inicializace(void);
void LCD_Init(void);
void PosliPrikazLCD(uint8_t cmd);
void PosliZnakLCD(uint8_t cmd);
void LCD_Clear(void);
void LCD_CursorHome(void);
void printLCDc(const uint8_t *retezec);
void printLCD(uint8_t *retezec);
void Posli4bitLCD(uint8_t c);

/** @defgroup Defines	*/


//#define LCD_RW	GPIO_Pin_13		// je trvale pripojen na LOG 0!

#define LCD_E	GPIO_Pin_7
#define LCD_RS	GPIO_Pin_6
#define LCD_D4	GPIO_Pin_0
#define LCD_D5	GPIO_Pin_1
#define LCD_D6	GPIO_Pin_2
#define LCD_D7	GPIO_Pin_3
#define LCD_PORT	GPIOC


#endif /* LCD_H_ */
